Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
vanduong

Có thể Slice cho 2D không ???

Các bài được khuyến nghị

vanduong    536

E phải sửa một số bản vẽ mà cứ phải trim, move, exten, ... làm thủ công hoài cũng chán cái con "chuột".

Các Pác cho em hỏi trong 2D có thể tách đối tượng ra giống kiểu Slice cho Solids trong 3D không ạ.

Xin chân thành cảm ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gp14    1.123
E phải sửa một số bản vẽ mà cứ phải trim, move, exten, ... làm thủ công hoài cũng chán cái con "chuột".

Các Pác cho em hỏi trong 2D có thể tách đối tượng ra giống kiểu Slice cho Solids trong 3D không ạ.

Xin chân thành cảm ơn.

Nếu đối tượng 2d của bạn là miền kín, bạn có thể dùng lệnh region để biến chúng thành region rồi dùng Su, Uni, In để trừ, cộng, giao khối

còn nếu bạn muốn tách rời 1 phần của đối tượng 2d (ví dụ như muốn lấy 1 đoạn của đường line chẳng hạn có thể dùng đoạn lisp sau, lệnh là br

(defun c:Br  () (setvar "osmode" 32) (command "break" pause "f" "int" pause  "@")   (setvar "osmode"  0))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vanduong    536
Ý EM LÀ TÁCH NHIỀU ĐỐI TƯỢNG 2D CÙNG MỘT LÚC. RỒI SỬA Ở CHỖ VỪA MỚI TÁCH >> SAU ĐÓ MOVE LẠI.

BÁC COI THỬ : [http://www.cadviet.com/upfiles/DG1.jpg

DG1.jpg

NẾU ĐƯỢC MONG BÁC GIÚP

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vanduong    536
Nếu đối tượng 2d của bạn là miền kín, bạn có thể dùng lệnh region để biến chúng thành region rồi dùng Su, Uni, In để trừ, cộng, giao khối

còn nếu bạn muốn tách rời 1 phần của đối tượng 2d (ví dụ như muốn lấy 1 đoạn của đường line chẳng hạn có thể dùng đoạn lisp sau, lệnh là br

(defun c:Br  () (setvar "osmode" 32) (command "break" pause "f" "int" pause  "@")   (setvar "osmode"  0))

cám ơn bác GP lắm

nhưng em muốn cùng một lúc Br(tách 1 phần giống Lisp của Bác cho) nhiều đối tượng thì phải làm sao ạ????????/

 

http://www.cadviet.com/upfiles/cua_ACB_16_6_1.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gp14    1.123
cám ơn bác GP lắm

nhưng em muốn cùng một lúc Br(tách 1 phần giống Lisp của Bác cho) nhiều đối tượng thì phải làm sao ạ????????/

Trong TH này mình sẽ copy cả bản vẽ ra, dùng lệnh extrim để xoá phần thừa, sửa phần còn lại rồi move về vị trí cũ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vanduong    536
Trong TH này mình sẽ copy cả bản vẽ ra, dùng lệnh extrim để xoá phần thừa, sửa phần còn lại rồi move về vị trí cũ.

 

bác ơi làm như thế này thì cũng giống Trim rồi tách ra vẽ tiếp rồi move vào nếu thế thì nó không giữ được trạng thái ban đầu nữa mà đã mất đi một đoạn khi Trim. còn Slice trong 3D thì nó tách ra được. Bác viết dùm em cái "lisp tách nhiều đối tượng 2D cùng một lúc khi chọn nhiều đối tượng " giồng như Slice trong 3D

Em cảm ơn Pro lém

T1.jpg

 

--------------------------

Nhấn vào nút Thanks nếu nói lời cảm ơn - KHÀ KHÀ :s_big:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
be_chanh    890

với 3d mới cần dùng đến SLICE chứ 2d thì cần gì nhỉ ? Có nhiều cách để làm được đó mà bạn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vanduong    536
với 3d mới cần dùng đến SLICE chứ 2d thì cần gì nhỉ ? Có nhiều cách để làm được đó mà bạn

 

Bác Ji nói rõ hơn một chút được không ?

tất nhiên là nhiều cách rồi nhưng cách TỐI ƯU nhất mới là điều đáng nói.

 

--------------------------

Nhấn vào nút Thanks nếu nói lời cảm ơn - KHÀ KHÀ :s_big:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
zoro107    10
Bác Ji nói rõ hơn một chút được không ?

tất nhiên là nhiều cách rồi nhưng cách TỐI ƯU nhất mới là điều đáng nói.

 

--------------------------

Nhấn vào nút Thanks nếu nói lời cảm ơn - KHÀ KHÀ :undecided:

 

mình biết trong adt co bộ lệnh linewỏktrim,linewworksuptract,.... nhưng trong cad thường thì khong có. Bác Hoàng co thể nghiên cứu để đưa vào cad thường được không vậy ...

em cảm ơn bác nhìu lém....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×